Bug 1285058 - Segfault errors from rsyslog
Segfault errors from rsyslog
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog7 (Show other bugs)
6.5
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Tomas Heinrich
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 13:52 EST by Stephen Beal
Modified: 2016-09-20 00:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 08:24:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (10.40 MB, application/x-xz)
2015-11-24 13:52 EST, Stephen Beal
no flags Details

  None (edit)
Description Stephen Beal 2015-11-24 13:52:54 EST
Created attachment 1098301 [details]
sosreport

Description of problem:

receiving segfault rsyslog  errors.  

Note: test packages from earlier BZ in use:

[root@y89tst41 /]# rpm -qa | grep -i rsyslog
rsyslog7-7.4.10-3.rhbz1184722.el6.x86_64
rsyslog7-debuginfo-7.4.10-3.rhbz1184722.el6.x86_64

Here are messages seen in the log:

2015-09-18T15:30:56.434727-04:00 y89tst40.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: double free or corruption (!prev): 0x00007f09d4026270 ***
2015-09-18T17:37:37.586227-04:00 y89tst41.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: corrupted double-linked list: 0x00007f7a700cf5a0 ***
2015-09-18T23:55:35.181730-04:00 y89tst41.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: double free or corruption (out): 0x00007f3fa4012070 ***
2015-09-19T03:27:26.154740-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: double free or corruption (!prev): 0x00007f4c1b278ba0 ***
2015-09-19T14:10:08.138671-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: corrupted double-linked list: 0x00007f45b41443b0 ***
2015-09-19T14:10:08.139365-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: corrupted double-linked list: 0x00007f45b41443b0 ***
2015-09-19T14:40:01.426256-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: corrupted double-linked list: 0x00007f7c0c00c8e0 ***
2015-09-19T19:45:01.476442-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: corrupted double-linked list: 0x00007f5b4001d880 ***
2015-09-20T07:27:31.178390-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: malloc(): smallbin double linked list corrupted: 0x00007f32d80aa6f0 ***
2015-09-20T07:30:02.015110-04:00 y89tst41.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: free(): invalid next size (normal): 0x00007f5e50014040 ***
2015-09-20T08:28:26.336916-04:00 y89tst41.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: free(): invalid next size (fast): 0x00007f38940a6f20 ***
2015-09-20T10:00:06.571442-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: corrupted double-linked list: 0x00007f5190054a70 ***
2015-09-20T13:10:01.297165-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: corrupted double-linked list: 0x00007f7844049a80 ***
2015-09-20T14:10:27.315514-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: malloc(): smallbin double linked list corrupted: 0x00007f428c04e370 ***
2015-09-20T14:55:54.401573-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: double free or corruption (fasttop): 0x00007f993c02be40 ***
2015-09-21T02:20:37.664774-04:00 y89tst43.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: corrupted double-linked list: 0x00007f59fc0d8310 ***
2015-09-21T05:42:23.185233-04:00 y89tst41.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: free(): invalid next size (normal): 0x00007fe5f4013360 ***
2015-09-21T10:05:43.215906-04:00 y89tst41.isd.upmc.edu *** glibc detected *** /sbin/rsyslogd: free(): invalid next size (normal): 0x00007f6634134c10 ***


Version-Release number of selected component (if applicable):

rsyslog7-7.4.10-3.rhbz1184722.el6.x86_64


How reproducible:

- unclear. appears to be an ongoing issue.

Note You need to log in before you can comment on or make changes to this bug.